curl --request PATCH \
--url https://api.example.com/api/v2/projects/{project_id}/prompt-datasets/{dataset_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": null,
"description": null,
"input_names": null,
"media_input_names": null,
"support_history": null,
"tags": null
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"input_names": [
"<string>"
],
"media_input_names": [
"<string>"
],
"support_history": true,
"description": null,
"tags": null
}Modify a prompt dataset’s name, description, or input schema. Use to evolve datasets as prompt requirements change.
curl --request PATCH \
--url https://api.example.com/api/v2/projects/{project_id}/prompt-datasets/{dataset_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": null,
"description": null,
"input_names": null,
"media_input_names": null,
"support_history": null,
"tags": null
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"input_names": [
"<string>"
],
"media_input_names": [
"<string>"
],
"support_history": true,
"description": null,
"tags": null
}Documentation Index
Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
PromptDatasetResponse(dataset: shared.sqlalchemy.models.Dataset, tags: Optional[list['TagResponse']] = None)